--- src/third_party/SConscript	2024-04-04 02:08:51.000000000 +0800
+++ src/third_party/SConscript	2024-04-10 04:08:11.000000000 +0800
@@ -470,17 +470,16 @@
 
     mozjsEnv.ShimLibrary(name="mozjs")
 
-if "tom" in env["MONGO_CRYPTO"]:
-    tomcryptEnv = env.Clone()
-    tomcryptEnv.SConscript('tomcrypt' + tomcryptSuffix + '/SConscript', exports={'env' : tomcryptEnv })
-    tomcryptEnv = tomcryptEnv.Clone(
-        LIBDEPS_INTERFACE=[
-            'tomcrypt' + tomcryptSuffix + '/tomcrypt',
-        ])
+tomcryptEnv = env.Clone()
+tomcryptEnv.SConscript('tomcrypt' + tomcryptSuffix + '/SConscript', exports={'env' : tomcryptEnv })
+tomcryptEnv = tomcryptEnv.Clone(
+    LIBDEPS_INTERFACE=[
+        'tomcrypt' + tomcryptSuffix + '/tomcrypt',
+    ])
 
-    tomcryptEnv.ShimLibrary(
-        name="tomcrypt",
-    )
+tomcryptEnv.ShimLibrary(
+    name="tomcrypt",
+)
 
 
 gperftoolsEnv = env.Clone(


--- src/mongo/crypto/SConscript	2023-06-16 20:55:56.000000000 +0800
+++ src/mongo/crypto/SConscript	2024-04-09 23:46:43.000000000 +0800
@@ -28,18 +28,17 @@
 
 cryptoEnv = env.Clone()
 
-if "tom" in env["MONGO_CRYPTO"]:
-    cryptoEnv.InjectThirdParty(libraries=['tomcrypt'])
-    cryptoEnv.Append(
-        CPPDEFINES=[
-            'LTC_NO_PROTOTYPES',
-        ]
-    )
+cryptoEnv.InjectThirdParty(libraries=['tomcrypt'])
+cryptoEnv.Append(
+    CPPDEFINES=[
+        'LTC_NO_PROTOTYPES',
+    ]
+)
 
 cryptoEnv.Library(
-    target='sha_block_${MONGO_CRYPTO}',
+    target='sha_block_tom',
     source=[
-        'sha_block_${MONGO_CRYPTO}.cpp'
+        'sha_block_tom.cpp'
     ],
     LIBDEPS=[
         '$BUILD_DIR/mongo/base',
@@ -47,14 +46,14 @@
         'sha256_block',
     ],
     LIBDEPS_PRIVATE=[
-        '$BUILD_DIR/third_party/shim_tomcrypt' if "tom" in env["MONGO_CRYPTO"] else [],
+        '$BUILD_DIR/third_party/shim_tomcrypt',
     ]
 )
 
 cryptoEnv.Library(target='symmetric_crypto',
     source=[
         'symmetric_crypto.cpp',
-        'symmetric_crypto_${MONGO_CRYPTO}.cpp',
+        'symmetric_crypto_tom.cpp',
         'symmetric_key.cpp',
     ],
     LIBDEPS=[
@@ -62,7 +61,7 @@
         '$BUILD_DIR/mongo/util/secure_zero_memory',
     ],
     LIBDEPS_PRIVATE=[
-        '$BUILD_DIR/third_party/shim_tomcrypt' if "tom" in env["MONGO_CRYPTO"] else [],
+        '$BUILD_DIR/third_party/shim_tomcrypt',
     ]
 )
 
@@ -73,7 +72,7 @@
     ],
     LIBDEPS=[
         'fle_fields',
-        'sha_block_${MONGO_CRYPTO}',
+        'sha_block_tom',
         'symmetric_crypto',
     ],
 )
@@ -109,7 +108,7 @@
         'aead_encryption',
         'encrypted_field_config',
         'fle_fields',
-        'sha_block_${MONGO_CRYPTO}',
+        'sha_block_tom',
     ],
 )
 
@@ -142,6 +141,6 @@
         'aead_encryption',
         'encrypted_field_config',
         'fle_crypto',
-        'sha_block_${MONGO_CRYPTO}',
+        'sha_block_tom',
     ],
 )


--- src/mongo/util/options_parser/SConscript	2023-06-16 20:55:56.000000000 +0800
+++ src/mongo/util/options_parser/SConscript	2024-04-10 10:03:02.000000000 +0800
@@ -24,7 +24,7 @@
         '$BUILD_DIR/third_party/shim_yaml',
     ],
     LIBDEPS_PRIVATE=[
-        '$BUILD_DIR/mongo/crypto/sha_block_${MONGO_CRYPTO}',
+        '$BUILD_DIR/mongo/crypto/sha_block_tom',
         '$BUILD_DIR/mongo/util/net/http_client',
         '$BUILD_DIR/mongo/util/net/network',
         '$BUILD_DIR/third_party/shim_boost',


--- src/mongo/util/net/SConscript	2023-06-16 20:55:56.000000000 +0800
+++ src/mongo/util/net/SConscript	2024-04-10 10:04:42.000000000 +0800
@@ -132,7 +132,7 @@
         ],
         LIBDEPS_PRIVATE=[
             '$BUILD_DIR/mongo/base/secure_allocator',
-            '$BUILD_DIR/mongo/crypto/sha_block_${MONGO_CRYPTO}',
+            '$BUILD_DIR/mongo/crypto/sha_block_tom',
             '$BUILD_DIR/mongo/db/auth/cluster_auth_mode',
             '$BUILD_DIR/mongo/db/server_options_core',
             '$BUILD_DIR/mongo/db/service_context',


--- src/mongo/db/SConscript	2023-06-16 20:55:56.000000000 +0800
+++ src/mongo/db/SConscript	2024-04-10 10:08:21.000000000 +0800
@@ -1645,7 +1645,7 @@
     LIBDEPS=[
         '$BUILD_DIR/mongo/base',
         '$BUILD_DIR/mongo/crypto/sha256_block',
-        '$BUILD_DIR/mongo/crypto/sha_block_${MONGO_CRYPTO}',
+        '$BUILD_DIR/mongo/crypto/sha_block_tom',
         '$BUILD_DIR/mongo/idl/idl_parser',
         '$BUILD_DIR/mongo/idl/server_parameter',
     ],
@@ -1984,7 +1984,7 @@
         'time_proof_service.cpp',
     ],
     LIBDEPS=[
-        '$BUILD_DIR/mongo/crypto/sha_block_${MONGO_CRYPTO}',
+        '$BUILD_DIR/mongo/crypto/sha_block_tom',
         'logical_time',
     ],
 )


--- src/mongo/db/auth/SConscript	2023-06-16 20:55:56.000000000 +0800
+++ src/mongo/db/auth/SConscript	2024-04-10 10:10:44.000000000 +0800
@@ -99,7 +99,7 @@
         '$BUILD_DIR/mongo/base',
     ],
     LIBDEPS_PRIVATE=[
-        '$BUILD_DIR/mongo/crypto/sha_block_${MONGO_CRYPTO}',
+        '$BUILD_DIR/mongo/crypto/sha_block_tom',
         'auth',
         'authentication_restriction',
         'authprivilege',
@@ -325,7 +325,7 @@
     LIBDEPS_PRIVATE=[
         '$BUILD_DIR/mongo/base/secure_allocator',
         '$BUILD_DIR/mongo/client/authentication',
-        '$BUILD_DIR/mongo/crypto/sha_block_${MONGO_CRYPTO}',
+        '$BUILD_DIR/mongo/crypto/sha_block_tom',
         '$BUILD_DIR/mongo/util/icu',
         '$BUILD_DIR/mongo/util/md5',
         'auth',
@@ -426,7 +426,7 @@
     LIBDEPS=[
         '$BUILD_DIR/mongo/base',
         '$BUILD_DIR/mongo/base/secure_allocator',
-        '$BUILD_DIR/mongo/crypto/sha_block_${MONGO_CRYPTO}',
+        '$BUILD_DIR/mongo/crypto/sha_block_tom',
         '$BUILD_DIR/mongo/db/commands/test_commands_enabled',
         '$BUILD_DIR/mongo/util/icu',
         '$BUILD_DIR/mongo/util/md5',
